// ResizablePropertyPage.cpp: implementation of the CMPPage class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "apl_gui.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

IMPLEMENT_DYNCREATE(CaplResizablePropertyPage, CPropertyPage)
//IMPLEMENT_DYNAMIC(CaplResizablePropertyPage, CPropertyPage)

CaplResizablePropertyPage::CaplResizablePropertyPage() : CPropertyPage()
{
	m_psp.dwFlags &= ~PSP_HASHELP;
}

CaplResizablePropertyPage::CaplResizablePropertyPage(UINT nIDTemplate,UINT nIDCaption) 
						 : CPropertyPage(nIDTemplate,nIDCaption)
{
	m_psp.dwFlags &= ~PSP_HASHELP;
}

CaplResizablePropertyPage::CaplResizablePropertyPage(LPCTSTR lpszTemplateName,UINT nIDCaption) 
						 : CPropertyPage(lpszTemplateName,nIDCaption)
{
	m_psp.dwFlags &= ~PSP_HASHELP;
}

CaplResizablePropertyPage::~CaplResizablePropertyPage()
{
}

BOOL CaplResizablePropertyPage::SetAnchors(void)
{
	return TRUE;
}

BOOL CaplResizablePropertyPage::ValidateData(void)
{
	return TRUE;
}

BOOL CaplResizablePropertyPage::SaveData(void)
{
	return TRUE;
}

BEGIN_MESSAGE_MAP(CaplResizablePropertyPage, CPropertyPage)
	//{{AFX_MSG_MAP(CaplResizablePropertyPage)
		ON_WM_SIZE()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CaplResizablePropertyPage message handlers

void CaplResizablePropertyPage::OnSize(UINT nType, int cx, int cy) 
{
	CPropertyPage::OnSize(nType, cx, cy);
	m_Resizer.Resize(this);
}
